Subject: Re: Path confusion
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Wed, 23 Mar 2005 23:34:55 -0800

Luke Kendall wrote:

> Here's something that stunned me: I see different contents of a
> directory I want to be "empty-ish" (c:/cygwin/home), depending on how I
> refer to it.  I think it's because sometimes, "c:/cygwin" == "/".
> 
> $ cygpath -m /
> C:/cygwin
> 
> $ ls c:/cygwin/home
> 00-THIS-DIRECTORY-SHOULD-BE-EMPTY.txt
> 
> $ cd c:/cygwin/home

I think it's because when you 'cd' the path is normalized.  After "cd
c:/cygwin/home" the current working directory is now /home.  If you do
"ls /home" you should see the contents of the mount, if you do "ls
c:/cygwin/home" you'll see the contents of that directory itself.  In
other words mounting something on "/home" only affects paths that start
with "/home".  If you want "c:/cygwin/home" to actually be "d:/home"
then make it a symlink.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/